{
  scope,
  ...
}:
scope "boot" {

  initrd.availableKernelModules = [
    "xhci_pci"
    "ahci"
    "usbcore"
    "sd_mod"
  ];
  initrd.kernelModules = [ ];
  initrd.verbose = false;
  kernelModules = [
    "kvm-amd"
    "i2c-dev"
  ];
  consoleLogLevel = 0;
  kernelParams = [
    "mitigations=off"
    "preempt=full"
    "quiet"
    "loglevel=3"
    "systemd.show_status=off"
    "rd.udev.log_level=3"
    "vt.global_cursor_default=0"
  ];
  supportedFilesystems = {
    ntfs = true;
    btrfs = true;
  };
  loader.efi.canTouchEfiVariables = true;

}
